from django.urls import path

from .views import (

    #CVB
    SistemasXCliente_ListView,
    SistemasBitacora_ListView,
    SistemasXCliente_DetailView,
    UsersConnectedList,
    SistemasxCliente_CreateView,

    #DRF APIViews
    RegisterDeviceView,
    GetDeviceToken,
    AuthenticateDeviceView,
    LogoutView,
    CheckVersionView,
    UploadZipVersionView,
    Sistema_CreateView,
    Custom_Login,


    #function
    download_version_FromServer,
    uploadZipViewHTML,
)
urlpatterns = [
    path('',SistemasXCliente_ListView.as_view(),name='lista_sistmas'),
    path('bitacora/',SistemasBitacora_ListView.as_view(),name='lista_sistmas_bitacora'),
    path('detail/<str:pk>/',SistemasXCliente_DetailView.as_view(),name='detail_sistemas'),
    path('create_sistemas_form/',Sistema_CreateView.as_view(), name='create_sistemas_form'),
    path('crearSistema/',SistemasxCliente_CreateView.as_view(), name='create_sistemas'),
    path('registerPC/',RegisterDeviceView.as_view(),name='register_PC'),
    path('getTokenPC/',GetDeviceToken.as_view(),name='getToken_PC'),
    path('authenticatePC/',AuthenticateDeviceView.as_view(), name="authenticateDevice"),
    path('logout/', LogoutView.as_view(), name='logout_sistemas'),
    path('usuariosConectados/', UsersConnectedList.as_view(), name='lista_usuarios'),
    path('checkVersion/', CheckVersionView.as_view(), name='checkVersion'),
    path('download_version_FromServer/',download_version_FromServer, name='downloadVersionFromServer'),
    path('uploadZip/', UploadZipVersionView.as_view(), name='uploadZip'),
    path('uploadZip2/', uploadZipViewHTML, name="uploadZipViewHTML"),
    path('login/', Custom_Login.as_view(), name="Customlogin"),
]